export interface UploadFile {
    id: string;
    name: string;
    file?: File;
    progress: number;
    controller?: AbortController;
    status: 'uploading' | 'done' | 'error';
    url?: string;
    preview?: string;
    timer?: number;
    realProgress?: number;
}
export declare class AssetHelper {
    static minioBasePath: string;
    private static transfer;
    private static fileUrlMap;
    static init(opts: {
        transfer: (key: string) => string;
    }): void;
    static beforeUploadFun(file: File, { maxSize, acceptList, beforeUpload, }: {
        maxSize: number;
        acceptList: string[];
        beforeUpload?: (file: File) => Promise<unknown>;
    }): Promise<undefined>;
    /** 上传 */
    static upload(file: File): Promise<any>;
    /** 地址转化 */
    static resolveUrl(src?: string | File | null): string | null;
    /**
     * 加载图片，返回 HTMLImageElement
     * @param src File | minio key | http url
     */
    static loadImage(src?: string | File | null): Promise<HTMLImageElement | null>;
    static revoke(file?: File | null): void;
    static clear(): void;
}
